| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
Tp::BaseCallContent Class Reference

`#include </build/telepathy-qt-h4W587/telepathy-qt-0.9.7/TelepathyQt/base-call.h>`

Inheritance diagram for Tp::BaseCallContent:
[legend]

## Public Member Functions

virtual | ~BaseCallContent ()
QVariantMap | immutableProperties () const
bool | registerObject (DBusError *error=NULL)
virtual QString | uniqueName () const
QList< AbstractCallContentInterfacePtr > | interfaces () const
AbstractCallContentInterfacePtr | interface (const QString &interfaceName) const
bool | plugInterface (const AbstractCallContentInterfacePtr &interface)
QString | name () const
Tp::MediaStreamType | type () const
Tp::CallContentDisposition | disposition () const
Tp::ObjectPathList | streams () const
Public Member Functions inherited from Tp::DBusService
| DBusService (const QDBusConnection &dbusConnection)
virtual | ~DBusService ()
QDBusConnection | dbusConnection () const
QString | busName () const
QString | objectPath () const
DBusObject * | dbusObject () const
bool | isRegistered () const
Public Member Functions inherited from Tp::Object
virtual | ~Object ()
Public Member Functions inherited from QObject
| QObject (QObject *parent)
virtual | ~QObject ()
virtual bool | event (QEvent *e)
virtual bool | eventFilter (QObject *watched, QEvent *event)
virtual const QMetaObject * | metaObject () const
QString | objectName () const
void | setObjectName (const QString &name)
bool | isWidgetType () const
bool | signalsBlocked () const
bool | blockSignals (bool block)
QThread * | thread () const
void | moveToThread (QThread *targetThread)
int | startTimer (int interval)
void | killTimer (int id)
T | findChild (const QString &name) const
QList< T > | findChildren (const QString &name) const
QList< T > | findChildren (const QRegExp &regExp) const
QObject * | child (const char *objName, const char *inheritsClass, bool recursiveSearch) const
const QObjectList & | children () const
void | setParent (QObject *parent)
void | installEventFilter (QObject *filterObj)
void | removeEventFilter (QObject *obj)
bool | connect (const QObject *sender, const char *signal, const char *method, Qt::ConnectionType type) const
bool | disconnect (const char *signal, const QObject *receiver, const char *method)
bool | disconnect (const QObject *receiver, const char *method)
void | dumpObjectTree ()
void | dumpObjectInfo ()
bool | setProperty (const char *name, const QVariant &value)
QVariant | property (const char *name) const
QList< QByteArray > | dynamicPropertyNames () const
void | destroyed (QObject *obj)
QObject * | parent () const
bool | inherits (const char *className) const
void | deleteLater ()
| QObject (QObject *parent, const char *name)
void | insertChild (QObject *object)
void | removeChild (QObject *object)
bool | isA (const char *className) const
const char * | className () const
const char * | name () const
const char * | name (const char *defaultName) const
void | setName (const char *name)
Public Member Functions inherited from Tp::RefCounted
| RefCounted ()
virtual | ~RefCounted ()

## Static Public Member Functions

static BaseCallContentPtr | create (const QDBusConnection &dbusConnection, BaseChannel *channel, const QString &name, const Tp::MediaStreamType &type, const Tp::MediaStreamDirection &direction)
Static Public Member Functions inherited from QObject
QString | tr (const char *sourceText, const char *disambiguation, int n)
QString | trUtf8 (const char *sourceText, const char *disambiguation, int n)
bool | connect (const QObject *sender, const char *signal, const QObject *receiver, const char *method, Qt::ConnectionType type)
bool | connect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method, Qt::ConnectionType type)
bool | disconnect (const QObject *sender, const char *signal, const QObject *receiver, const char *method)
bool | disconnect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method)

## Protected Member Functions

| BaseCallContent (const QDBusConnection &dbusConnection, BaseChannel *channel, const QString &name, const Tp::MediaStreamType &type, const Tp::MediaStreamDirection &direction)
virtual bool | registerObject (const QString &busName, const QString &objectPath, DBusError *error)
void | remove ()
Protected Member Functions inherited from Tp::Object
| Object ()
void | notify (const char *propertyName)
Protected Member Functions inherited from QObject
QObject * | sender () const
int | senderSignalIndex () const
int | receivers (const char *signal) const
virtual void | timerEvent (QTimerEvent *event)
virtual void | childEvent (QChildEvent *event)
virtual void | customEvent (QEvent *event)
virtual void | connectNotify (const char *signal)
virtual void | disconnectNotify (const char *signal)
bool | checkConnectArgs (const char *signal, const QObject *object, const char *method)

## Additional Inherited Members

Signals inherited from Tp::Object
void | propertyChanged (const QString &propertyName)
Static Protected Member Functions inherited from QObject
QByteArray | normalizeSignalSlot (const char *signalSlot)
Properties inherited from QObject
| objectName

## Constructor & Destructor Documentation

## § ~BaseCallContent()

Tp::BaseCallContent::~BaseCallContent | ( |  | ) |

virtual

## § BaseCallContent()

Tp::BaseCallContent::BaseCallContent | ( | const QDBusConnection & | dbusConnection,
|  | BaseChannel * | channel,
|  | const QString & | name,
|  | const Tp::MediaStreamType & | type,
|  | const Tp::MediaStreamDirection & | direction
| ) |  |

protected

## Member Function Documentation

## § create()

static BaseCallContentPtr Tp::BaseCallContent::create | ( | const QDBusConnection & | dbusConnection,
|  | BaseChannel * | channel,
|  | const QString & | name,
|  | const Tp::MediaStreamType & | type,
|  | const Tp::MediaStreamDirection & | direction
| ) |  |

inline static

## § immutableProperties()

QVariantMap Tp::BaseCallContent::immutableProperties | ( |  | ) | const

virtual

Return the immutable properties of this D-Bus service object.

Immutable properties cannot change after the object has been registered on the bus with registerObject().

Returns
  The immutable properties of this D-Bus service object.

Implements Tp::DBusService.

## § registerObject() [1/2]

bool Tp::BaseCallContent::registerObject | ( | DBusError * | error = `NULL` | ) |

## § uniqueName()

QString Tp::BaseCallContent::uniqueName | ( |  | ) | const

virtual

## § interfaces()

QList< AbstractCallContentInterfacePtr > Tp::BaseCallContent::interfaces | ( |  | ) | const

## § interface()

AbstractCallContentInterfacePtr Tp::BaseCallContent::interface | ( | const QString & | interfaceName | ) | const

## § plugInterface()

bool Tp::BaseCallContent::plugInterface | ( | const AbstractCallContentInterfacePtr & | interface | ) |

## § name()

QString Tp::BaseCallContent::name | ( |  | ) | const

## § type()

Tp::MediaStreamType Tp::BaseCallContent::type | ( |  | ) | const

## § disposition()

Tp::CallContentDisposition Tp::BaseCallContent::disposition | ( |  | ) | const

## § streams()

Tp::ObjectPathList Tp::BaseCallContent::streams | ( |  | ) | const

## § registerObject() [2/2]

bool Tp::BaseCallContent::registerObject | ( | const QString & | busName,
|  | const QString & | objectPath,
|  | DBusError * | error
| ) |  |

protected virtual

Reimplemented from DBusService.

Reimplemented from Tp::DBusService.

## § remove()

void Tp::BaseCallContent::remove | ( |  | ) |

protected